Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.table
Class OdfTargetRangeAddressElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.table.OdfTargetRangeAddressElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfTargetRangeAddress

    public abstract class OdfTargetRangeAddressElement

extends OdfElement

DOM implementation of OpenDocument element table:target-range-address.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfTargetRangeAddressElement(OdfFileDom aOwnerDoc)` Create the instance of OdfTargetRangeAddressElement

Method Summary
`Integer` | `getColumn()` Get value of attribute table:column.
`Integer` | `getEndColumn()` Get value of attribute table:end-column.
`Integer` | `getEndRow()` Get value of attribute table:end-row.
`Integer` | `getEndTable()` Get value of attribute table:end-table.
`OdfName` | `getOdfName()` Get the element name
`Integer` | `getRow()` Get value of attribute table:row.
`Integer` | `getStartColumn()` Get value of attribute table:start-column.
`Integer` | `getStartRow()` Get value of attribute table:start-row.
`Integer` | `getStartTable()` Get value of attribute table:start-table.
`Integer` | `getTable()` Get value of attribute table:table.
`void` | `init(Integer column, Integer row, Integer table, Integer startColumn, Integer startRow, Integer startTable, Integer endColumn, Integer endRow, Integer endTable)` Initialization of the mandatory attributes of `OdfTargetRangeAddressElement`
`void` | `setColumn(Integer column)` Set value of attribute table:column.
`void` | `setEndColumn(Integer endColumn)` Set value of attribute table:end-column.
`void` | `setEndRow(Integer endRow)` Set value of attribute table:end-row.
`void` | `setEndTable(Integer endTable)` Set value of attribute table:end-table.
`void` | `setRow(Integer row)` Set value of attribute table:row.
`void` | `setStartColumn(Integer startColumn)` Set value of attribute table:start-column.
`void` | `setStartRow(Integer startRow)` Set value of attribute table:start-row.
`void` | `setStartTable(Integer startTable)` Set value of attribute table:start-table.
`void` | `setTable(Integer table)` Set value of attribute table:table.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfTargetRangeAddressElement

    public OdfTargetRangeAddressElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfTargetRangeAddressElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element table:target-range-address.

### init

    public void init(Integer column,
                     Integer row,
                     Integer table,
                     Integer startColumn,
                     Integer startRow,
                     Integer startTable,
                     Integer endColumn,
                     Integer endRow,
                     Integer endTable)

  Initialization of the mandatory attributes of `OdfTargetRangeAddressElement`

  Parameters:
    `column` - The mandatory attribute table:column"
    `row` - The mandatory attribute table:row"
    `table` - The mandatory attribute table:table"
    `startColumn` - The mandatory attribute table:start-column"
    `startRow` - The mandatory attribute table:start-row"
    `startTable` - The mandatory attribute table:start-table"
    `endColumn` - The mandatory attribute table:end-column"
    `endRow` - The mandatory attribute table:end-row"
    `endTable` - The mandatory attribute table:end-table"

### getColumn

    public Integer getColumn()

  Get value of attribute table:column.

  Returns:
    return the attribute which type is Integer

### setColumn

    public void setColumn(Integer column)

  Set value of attribute table:column.

  Parameters:
    `column` - the attribute's type is Integer

### getRow

    public Integer getRow()

  Get value of attribute table:row.

  Returns:
    return the attribute which type is Integer

### setRow

    public void setRow(Integer row)

  Set value of attribute table:row.

  Parameters:
    `row` - the attribute's type is Integer

### getTable

    public Integer getTable()

  Get value of attribute table:table.

  Returns:
    return the attribute which type is Integer

### setTable

    public void setTable(Integer table)

  Set value of attribute table:table.

  Parameters:
    `table` - the attribute's type is Integer

### getStartColumn

    public Integer getStartColumn()

  Get value of attribute table:start-column.

  Returns:
    return the attribute which type is Integer

### setStartColumn

    public void setStartColumn(Integer startColumn)

  Set value of attribute table:start-column.

  Parameters:
    `startColumn` - the attribute's type is Integer

### getStartRow

    public Integer getStartRow()

  Get value of attribute table:start-row.

  Returns:
    return the attribute which type is Integer

### setStartRow

    public void setStartRow(Integer startRow)

  Set value of attribute table:start-row.

  Parameters:
    `startRow` - the attribute's type is Integer

### getStartTable

    public Integer getStartTable()

  Get value of attribute table:start-table.

  Returns:
    return the attribute which type is Integer

### setStartTable

    public void setStartTable(Integer startTable)

  Set value of attribute table:start-table.

  Parameters:
    `startTable` - the attribute's type is Integer

### getEndColumn

    public Integer getEndColumn()

  Get value of attribute table:end-column.

  Returns:
    return the attribute which type is Integer

### setEndColumn

    public void setEndColumn(Integer endColumn)

  Set value of attribute table:end-column.

  Parameters:
    `endColumn` - the attribute's type is Integer

### getEndRow

    public Integer getEndRow()

  Get value of attribute table:end-row.

  Returns:
    return the attribute which type is Integer

### setEndRow

    public void setEndRow(Integer endRow)

  Set value of attribute table:end-row.

  Parameters:
    `endRow` - the attribute's type is Integer

### getEndTable

    public Integer getEndTable()

  Get value of attribute table:end-table.

  Returns:
    return the attribute which type is Integer

### setEndTable

    public void setEndTable(Integer endTable)

  Set value of attribute table:end-table.

  Parameters:
    `endTable` - the attribute's type is Integer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.